SystemOrganization addCategory: #'O-CLBG-Compatibility'!

BGMeteorPiece subclass: #OstBGMeteorPiece
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGMeteorPiece class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 16:08'!
initialize
	OstObject omnifyClass: self.! !

BGPermGeneratorRedux subclass: #OstBGPermGeneratorRedux
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGPermGeneratorRedux class methodsFor: 'class initialization' stamp: 'StefanMarr 1/15/2012 18:42'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGPermGeneratorRedux methodsFor: 'initialize-release' stamp: 'StefanMarr 5/5/2013 00:32'!
initialize: size
	perm         := OstArray fromArray: (OstInterval from: 1 to: size).
	timesRotated := OstArray new: size withAll: 0.
	atEnd        := false.! !

BGPiDigitSpigot subclass: #OstBGPiDigitSpigot
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGPiDigitSpigot class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 18:57'!
initialize
	OstObject omnifyClass: self.! !

BGMeteorPieceWithIsland subclass: #OstBGMeteorPieceWithIsland
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGMeteorPieceWithIsland class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 16:08'!
initialize
	OstObject omnifyClass: self! !

BGRepeatStream subclass: #OstBGRepeatStream
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGRepeatStream class methodsFor: 'class initialization' stamp: 'StefanMarr 7/18/2012 22:33'!
initialize 
	OstObject omnifyClass: self.! !

BGKNucleotide subclass: #OstBGKNucleotide
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGKNucleotide class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 13:01'!
initialize
	OstObject omnifyClass: self! !

!OstBGKNucleotide methodsFor: 'initialize-release' stamp: 'StefanMarr 6/5/2013 00:31'!
initialize
	sortCollectionFactory := OstSortedCollection.
	dictFactory := OstDictionary.
	assocFact   := OstAssociation.! !

BGPiDigits subclass: #OstBGPiDigits
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGPiDigits class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 18:56'!
initialize
	OstObject omnifyClass: self.! !

!OstBGPiDigits methodsFor: 'initialize-release' stamp: 'StefanMarr 4/30/2013 18:57'!
initialize
	spigotFactory := OstBGPiDigitSpigot.
	arrayFactory  := OstArray.! !

BGSpectralNorm subclass: #OstBGSpectralNorm
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGSpectralNorm class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 22:36'!
initialize
	OstObject omnifyClass: self! !

!OstBGSpectralNorm methodsFor: 'initialize-release' stamp: 'StefanMarr 4/30/2013 22:36'!
initialize
	arrayFactory := OstArray! !

BGBody subclass: #OstBGBody
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGBody class methodsFor: 'class initialization' stamp: 'StefanMarr 4/28/2013 22:22'!
initialize 
	OstObject omnifyClass: self.! !

OstObject subclass: #ATBGStreamFact
	instanceVariableNames: 'actor streamCls'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!ATBGStreamFact methodsFor: 'accessing' stamp: 'StefanMarr 5/30/2013 23:37'!
actor: anActor
	actor := anActor! !

!ATBGStreamFact methodsFor: 'optimizations' stamp: 'StefanMarr 6/3/2013 17:37'!
adoptStreamCollection: aCollection
	<omniUnenforced>
	| result |
	((aCollection size > 0) and: [aCollection first class = OstArray])	ifTrue: [
		1 to: aCollection size do: [:i |
			aCollection at: i put: (actor adoptObject: (aCollection at: i))]
	].
	
	^ actor adoptObject: aCollection! !

!ATBGStreamFact methodsFor: 'accessing' stamp: 'StefanMarr 5/30/2013 23:42'!
streamClass: aCls
	streamCls := aCls! !

!ATBGStreamFact methodsFor: 'instance creation' stamp: 'StefanMarr 6/3/2013 17:37'!
to: anInt on: aCollection
	^ streamCls to: anInt on: (self adoptStreamCollection: aCollection)! !

BGPair subclass: #OstBGPair
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGPair class methodsFor: 'class initialization' stamp: 'StefanMarr 4/29/2013 15:49'!
initialize
	OstObject omnifyClass: self! !

BGChameleon subclass: #OstBGChameleon
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGChameleon class methodsFor: 'class initialization' stamp: 'StefanMarr 4/29/2013 14:49'!
initialize
	OstObject omnifyClass: self! !

BGRandomStream subclass: #OstBGRandomStream
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGRandomStream class methodsFor: 'class initialization' stamp: 'StefanMarr 7/18/2012 22:33'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGRandomStream methodsFor: 'initialize-release' stamp: 'StefanMarr 5/5/2013 00:52'!
initialize
	randomNumFactory := OstBGRandomNumber.
	arrayFactory     := OstArray.! !

BGCreature subclass: #OstBGCreature
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGCreature class methodsFor: 'class initialization' stamp: 'StefanMarr 4/29/2013 15:48'!
initialize
	OstObject omnifyClass: self! !

BGFannkuchRedux subclass: #OstBGFannkuchRedux
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGFannkuchRedux class methodsFor: 'class initialization' stamp: 'StefanMarr 5/5/2013 00:01'!
initialize
	OstObject omnifyClass: self! !

!OstBGFannkuchRedux methodsFor: 'initialize-release' stamp: 'StefanMarr 5/5/2013 00:02'!
initialize
	permGenFactory := OstBGPermGeneratorRedux.! !

BGRegexDNA subclass: #OstBGRegexDNA
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGRegexDNA class methodsFor: 'class initialization' stamp: 'StefanMarr 5/6/2013 23:39'!
initialize
	OstObject omnifyClass: self! !

!OstBGRegexDNA methodsFor: 'initialize-release' stamp: 'StefanMarr 5/6/2013 23:40'!
initialize
	dictFactory := OstDictionary.
	arrFact     := OstArray.! !

BGReverseComplement subclass: #OstBGReverseComplement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGReverseComplement class methodsFor: 'class initialization' stamp: 'StefanMarr 6/5/2013 00:15'!
initialize
	OstObject omnifyClass: self! !

!OstBGReverseComplement methodsFor: 'initialize-release' stamp: 'StefanMarr 6/5/2013 00:15'!
initialize
	arrayFact := OstArray.
	assocFact := OstAssociation.! !

BGBinaryTrees subclass: #OstBGBinaryTrees
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGBinaryTrees class methodsFor: 'class initialization' stamp: 'StefanMarr 4/28/2013 22:53'!
initialize 
	OstObject omnifyClass: self! !

!OstBGBinaryTrees methodsFor: 'accessing' stamp: 'StefanMarr 5/11/2013 19:08'!
binaryTreeFactory: aBTFactory
	btFactory := aBTFactory! !

!OstBGBinaryTrees methodsFor: 'initialization' stamp: 'StefanMarr 4/28/2013 22:53'!
initialize
	super initialize.
	"Set the default binaryTree class used for the benchmark"
	btFactory := OstBGTreeNode.! !

BGTreeNode subclass: #OstBGTreeNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGTreeNode class methodsFor: 'class initialization' stamp: 'StefanMarr 1/15/2012 18:46'!
initialize 
	OstObject omnifyClass: self.! !

BGMall subclass: #OstBGMall
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGMall class methodsFor: 'class initialization' stamp: 'StefanMarr 4/29/2013 15:48'!
initialize
	OstObject omnifyClass: self! !

!OstBGMall methodsFor: 'initialize-release' stamp: 'StefanMarr 4/29/2013 17:01'!
initializeFactories
	pairFactory := OstBGPair.
	sharedQueueFactory := OstSharedQueue.
	orderedCollectionFactory := OstOrderedCollection.! !

BGChameneosRedux subclass: #OstBGChameneosRedux
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGChameneosRedux class methodsFor: 'class initialization' stamp: 'StefanMarr 4/29/2013 16:06'!
initialize
	OstObject omnifyClass: self! !

!OstBGChameneosRedux methodsFor: 'initialize-release' stamp: 'StefanMarr 4/29/2013 15:50'!
initialize
	colorFactory := OstBGChameneosColour.
	mallFactory  := OstBGMall.
	creatureFactory := OstBGCreature.
	
	arrayFactory := OstArray.
	collectionFactory := OstOrderedCollection.! !

BGMeteorBoard subclass: #OstBGMeteorBoard
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGMeteorBoard class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 16:07'!
initialize
	OstObject omnifyClass: self.! !

!OstBGMeteorBoard methodsFor: 'initialize-release' stamp: 'StefanMarr 4/30/2013 17:51'!
initialize
	pieceFactory    := OstBGMeteorPiece.
	pieceWithIsland := OstBGMeteorPieceWithIsland.
	arrayFactory    := OstArray.
	intervalFactory := OstInterval.
	setFactory      := OstSet.! !

BGFasta subclass: #OstBGFasta
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGFasta class methodsFor: 'class initialization' stamp: 'StefanMarr 5/5/2013 00:41'!
initialize
	OstObject omnifyClass: self.! !

!OstBGFasta methodsFor: 'initialization' stamp: 'StefanMarr 5/5/2013 17:38'!
initialize
	lineLength := 60.
	repeatStreamFact    := OstBGRepeatStream.
	randomStreamFact    := OstBGRandomStream.
	randomNumberFactory := OstBGRandomNumber.
	arrayFactory        := OstArray.! !

BGMeetingPlace subclass: #OstBGMeetingPlace
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGMeetingPlace class methodsFor: 'class initialization' stamp: 'StefanMarr 4/29/2013 14:50'!
initialize
	OstObject omnifyClass: self! !

BGChameleons subclass: #OstBGChameleons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGChameleons methodsFor: 'initialize-release' stamp: 'StefanMarr 4/29/2013 14:51'!
initialize
	super initialize.
	chameleonFactory    := OstBGChameleon.
	meetingPlaceFactory := OstBGMeetingPlace.! !

BGMandelbrot subclass: #OstBGMandelbrot
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGMandelbrot class methodsFor: 'class initialization' stamp: 'StefanMarr 5/6/2013 23:04'!
initialize
	OstObject omnifyClass: self.! !

BGChameneosColour subclass: #OstBGChameneosColour
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGChameneosColour class methodsFor: 'class initialization' stamp: 'StefanMarr 4/29/2013 16:03'!
initialize
	super initialize.
	OstObject omnifyClass: self! !

BGNBody subclass: #OstBGNBody
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGNBody class methodsFor: 'class initialization' stamp: 'StefanMarr 1/15/2012 18:17'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGNBody methodsFor: 'initialization' stamp: 'StefanMarr 4/28/2013 22:24'!
initializeFactories
	collectionFactory := OstOrderedCollection.
	bodyFactory       := OstBGBody.
	arrayFactory      := OstArray.! !

BGRandomNumber subclass: #OstBGRandomNumber
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGRandomNumber class methodsFor: 'class initialization' stamp: 'StefanMarr 1/15/2012 18:50'!
initialize 
	OstObject omnifyClass: self.! !

BGMeteor subclass: #OstBGMeteor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-CLBG-Compatibility'!

!OstBGMeteor class methodsFor: 'class initialization' stamp: 'StefanMarr 4/30/2013 16:03'!
initialize
	OstObject omnifyClass: self! !

!OstBGMeteor methodsFor: 'initialize-release' stamp: 'StefanMarr 4/30/2013 16:07'!
initialize
	meteorBoardFactory := OstBGMeteorBoard ! !
OstBGKNucleotide initialize!
OstBGChameneosRedux initialize!
OstBGMeteorPieceWithIsland initialize!
OstBGPiDigitSpigot initialize!
OstBGRepeatStream initialize!
OstBGSpectralNorm initialize!
OstBGMall initialize!
OstBGPermGeneratorRedux initialize!
OstBGChameneosColour initialize!
OstBGBody initialize!
OstBGReverseComplement initialize!
OstBGRegexDNA initialize!
OstBGRandomNumber initialize!
OstBGFannkuchRedux initialize!
OstBGRandomStream initialize!
OstBGMandelbrot initialize!
OstBGChameleon initialize!
OstBGPiDigits initialize!
OstBGMeetingPlace initialize!
OstBGPair initialize!
OstBGMeteor initialize!
OstBGCreature initialize!
OstBGBinaryTrees initialize!
OstBGTreeNode initialize!
OstBGMeteorPiece initialize!
OstBGNBody initialize!
OstBGMeteorBoard initialize!
OstBGFasta initialize!
